summaryrefslogtreecommitdiffstats
path: root/docker
diff options
context:
space:
mode:
authorSamuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>2019-01-31 10:04:24 +0100
committerSamuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>2019-01-31 10:04:24 +0100
commitde4e89c6238d22cfcd9be5e22117ce6f7ff6e1a3 (patch)
treefd5ccdc51e645191543d534088db632e0311cc46 /docker
parentDocker: Add option to skip docker image build (diff)
downloadonline-de4e89c6238d22cfcd9be5e22117ce6f7ff6e1a3.tar.gz
online-de4e89c6238d22cfcd9be5e22117ce6f7ff6e1a3.zip
Docker: Add env var for extra build options
Change-Id: I6f3cb4c526aff5a0543c69143c961b5bc4a555e9
Diffstat (limited to 'docker')
-rwxr-xr-xdocker/l10n-docker-nightly.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/docker/l10n-docker-nightly.sh b/docker/l10n-docker-nightly.sh
index 8077de792d..5601de2f73 100755
--- a/docker/l10n-docker-nightly.sh
+++ b/docker/l10n-docker-nightly.sh
@@ -10,6 +10,7 @@
# * DOCKER_HUB_TAG - which Docker Hub tag to create
# * LIBREOFFICE_BRANCH - which branch to build (needs to exist in both core and online)
# * LIBREOFFICE_BUILD_TARGET - which make target to run (in core repo)
+# * ONLINE_EXTRA_BUILD_OPTIONS - extra build options for online
# * NO_DOCKER_IMAGE - if set, don't build the docker image itself, just do all the preps
# check we can sudo without asking a pwd
@@ -147,7 +148,7 @@ chrpath -r '$ORIGIN' "$INSTDIR"/opt/libreoffice/program/libcairo.so.2
##### loolwsd & loleaflet #####
# build
-( cd online && ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --enable-silent-rules --with-lokit-path="$BUILDDIR"/libreoffice/include --with-lo-path="$INSTDIR"/opt/libreoffice ) || exit 1
+( cd online && ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --enable-silent-rules --with-lokit-path="$BUILDDIR"/libreoffice/include --with-lo-path="$INSTDIR"/opt/libreoffice $ONLINE_EXTRA_BUILD_OPTIONS) || exit 1
( cd online/loleaflet/po && ../../scripts/downloadpootle.sh )
( cd online/loleaflet && make l10n) || exit 1
( cd online && scripts/locorestrings.py "$BUILDDIR"/online "$BUILDDIR"/libreoffice/translations )